/*
 * Copyright by Marco Savegnago.  All rights reserved.
 * This software may be freely distributed and used, but it may not
 * under any circumstances be sold by anyone other than the author.
 * It may be distributed by a commercial company as long as it is
 * for no cost.
 *
 ******************************* Creazione file *******************************
 *-------------------------------------|--------------------------------------*
 * Creatore : Marco Savegnago               Data di creazione : 21/11/1995
 * Codice   :
 *
 ******************************* Revisione file *******************************
 *-------------------------------------|--------------------------------------*
 * Revisore :                                  Data di revisione :
 * Versione : 0
 *
 * Note:
 *
 */

#ifndef	__PROFILE_H
#define	__PROFILE_H

#include	<stdio.h>
#include	"tdef.h"
#ifdef	__cplusplus
extern "C" {
#endif

/******************************** Definizioni *********************************
*--------------------------------------|--------------------------------------*/
/************************* Variabili globali esterne **************************
*--------------------------------------|--------------------------------------*/
/*************************** Dichiarazione dei tipi ***************************
*--------------------------------------|--------------------------------------*/
/********************************** Inlines ***********************************
*--------------------------------------|--------------------------------------*/
/************************** Prototipi delle funzioni **************************
*--------------------------------------|--------------------------------------*/

const char * 	stristr(const char *str1, const char *str2);
void 			skipSpace(const char** s);
void 			skipSpaceAndEqual(const char** s);
char*			getWinIni(char	*szBuffer, int	iBufferLen);
char*			fgetline(char *s, int n, FILE *stream);
BOOL			compare(const char* cpsz_Line, const char* cpsz_Element, int i_Len);
BOOL			match(const char* cpsz_Line, const char* cpsz_ElementName, char* lpszReturnBuffer, int cbReturnBuffer, FILE* fp);
BOOL			extractValue(const char* cpsz_ItemName, const char* cp_p, char*	lpszReturnBuffer, int cbReturnBuffer);

unsigned int GetPrivateProfileInt
(
	const char* lpszSection,			// address of section
	const char* lpszEntry,             	// address of entry
	int 		idefault,               // return value if entry not found
	const char *lpszFilename            // address of initialization filename
);

unsigned int	GetProfileInt
(
  const char*	lpszSection,  // address of section
  const char*	lpszEntry,    // address of entry
  int 			idefault      // return value if entry is not found
);

int GetPrivateProfileString
(
	const char*	lpszSection,				// address of section
	const char*	lpszEntry,					// address of entry
	const char*	lpszDefault,				// address of default string
	char*		lpszReturnBuffer,			// address of destination buffer
	int			cbReturnBuffer,				// size of destination buffer
	const char*	lpszFilename				// address of initialization filename
);

int GetProfileString
(
  const char*	lpszSection,        	// address of section
  const char*	lpszEntry,          	// address of entry
  const char*	lpszDefault,        	// address of default string
  char*			lpszReturnBuffer,    	// address of destination buffer
  int 			cbReturnBuffer        	// size of destination buffer
);

/*********************************** Macro ************************************
*--------------------------------------|--------------------------------------*/

#ifdef	__cplusplus
}
#endif

#endif	//	__PROFILE_H
